Customers

Get Customer

Get a customer by ID or external ID.

GET
/api/v1/customers/{customerId}

Get a customer by ID or external ID. The customerId parameter works with both internal and external IDs.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

customerId*string

The internal ID or external ID of the customer

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/customers/string"
{  "success": true,  "customer": {    "id": "string",    "teamId": "string",    "externalId": "string",    "name": "string",    "vatNumber": "string",    "enterpriseNumber": "string",    "peppolAddresses": [      "string"    ],    "address": "string",    "city": "string",    "postalCode": "string",    "country": "string",    "email": "string",    "phone": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}